# Webhook

,\
[***Configure the webhook***](/docs/global/collections/integration/event-notification.md)

### **Sequence Diagram**

**Event data**

<table><thead><tr><th width="245">Parameter</th><th width="142.33333333333331">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>transId</td><td>String</td><td>The ID of transaction.</td></tr><tr><td>type</td><td>String</td><td>TRANSACTION_STATUS</td></tr><tr><td>transDate</td><td>String</td><td>The time of transaction.</td></tr><tr><td>virtualAccountId</td><td>String</td><td>The ID of virtual account.</td></tr><tr><td>accountName</td><td>String</td><td>The account name.</td></tr><tr><td>amount</td><td>Number</td><td>The amount of collection transaction.</td></tr><tr><td>note</td><td>String</td><td>Note.</td></tr><tr><td>status</td><td>String</td><td>Transaction status</td></tr><tr><td>reconcileStatus</td><td>String</td><td>Transaction reconcile status, Include:<br>UPLOADED: Documents for transaction were uploaded, waiting for verifying<br>APPROVED: Transaction documents were verified<br>REJECTED: Transaction documents were verified has been rejected.<br>RECONCILED: Transaction was reconconciled<br>SETTLED: Transaction was settled</td></tr><tr><td>payoutStatus</td><td>String</td><td>Transaction payout status, Include: <br>READY: Transaction was settled and ready for Remitout (Appear when reconcileStatus change to "SETTLED").<br>PROCESSING: Remitout/Payout request is processing.<br>REJECTED: Remitout/Payout request has been rejected.<br>SUCCESS: Remitout/Payout request has success.</td></tr><tr><td>serviceInformation</td><td>Object</td><td>Extra data includes "code", "groupId", "desc"</td></tr><tr><td>secureHash</td><td><p>String</p><p>(Base64)</p></td><td>Use SHA256 to hash the above parameters (sort the key by Alphabet order) + Secret Key (configured on Merchant Portal, in the Collection service menu)</td></tr></tbody></table>

### Sample data

```json
{
    "transId": "FT246560944209",
    "type": "TRANSACTION_STATUS",
    "merchantCode": "UFLIYL",
    "transDate": "2023-10-10T07:06:37.436Z",
    "virtualAccountId": "NEO0001675",
    "accountName": "HIEP HOANG H",
    "amount": 20000,
    "note": "",
    "status": "SUCCESS",
    "reconcileStatus": "SETTLED",
    "payoutStatus": "READY",
    "serviceInformation": {
        "code": "GRAB",
        "desc": "TEST",
        "groupId": "DRIVER"
    }
}
```

With the secretKey "SUMTING", the string used to create secureHash will be:

{% code overflow="wrap" %}

```
HIEP HOANG H20000UFLIYLREADYSETTLEDGRABTESTDRIVERSUCCESS2023-10-10T07:06:37.436ZFT246560944209TRANSACTION_STATUSNEO0001675SUMTING
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/global/collections/transaction-status-management/webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
